Bug 461430 - screensaver loses left-handed mouse settings on idle timeout
screensaver loses left-handed mouse settings on idle timeout
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 17:14 EDT by daniel flesner
Modified: 2015-01-14 18:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 13:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description daniel flesner 2008-09-07 17:14:29 EDT
Description of problem:

After screensaver kicks in, my left-handed mouse settings are lost. the right and left mouse buttons are then right-handed instead of left-handed.

Version-Release number of selected component (if applicable):
$ X -version

X.Org X Server 1.4.99.905 (1.5.0 RC 5)
Release Date: 5 September 2007
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.18-92.1.6.el5 x86_64 
Current Operating System: Linux maroc.agriroots.com 2.6.25.14-108.fc9.x86_64 #1 SMP Mon Aug 4 13:46:35 EDT 2008 x86_64
Build Date: 02 July 2008  01:36:02PM
Build ID: xorg-x11-server 1.4.99.905-2.20080702.fc9 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present

$ rpm -qa | grep screensaver
fedora-screensaver-theme-1.0.0-1.fc8.noarch
fedorainfinity-screensaver-theme-1.0.0-1.fc8.noarch
gnome-screensaver-2.22.1-1.fc9.x86_64


How reproducible:
always

Steps to Reproduce:
1. log in
2. let the screensaver idle time out kick in
3. press any key to remove the screensaver. the mouse buttons are backwards.
  
Actual results:
mouse settings behave as right-handed mouse

Expected results:
mouse settings continue to behave as left-handed mouse

Additional info:
screensaver is set to blank and lock is turned off.
Comment 1 John Florian 2009-02-25 15:34:48 EST
I'm having this same problem in a fully updated Fedora 10 using KDE 4.2.  Buttons are not backwards every time after coming out of a locked screen, but it does happen about 1/4 of the time.  I'm not using any screen saver, just locking the screen; DPMS does kick in.
Comment 2 John Florian 2009-04-13 15:26:05 EDT
A little more info on this bug.  A coworker of mine has an almost identical setup but never has this problem.  His mouse is configured for right-hand use though.  Thinking that KDE is forgetting the setting somehow, I thought I'd just let KDE believe my mouse was supposed to be right-handed and accomplish this behind the scenes by having the following in my ~/.kde/Autostart:
  xmodmap -e "pointer = 3 2 1"

Interestingly, the problem still occurs so I think the problem may not have anything to do with KDE at all.  Maybe udev sees the mouse as a new device?
Comment 3 Bug Zapper 2009-06-09 22:39:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 John Florian 2009-06-10 10:14:33 EDT
I was having this problem in Fedora 10, however it hasn't happened for quite some time now.  Perhaps one of the many KDE updates resolved this.
Comment 5 daniel flesner 2009-06-10 13:55:30 EDT
i'm not seeing this problem currently either, so i'll close it.

Note You need to log in before you can comment on or make changes to this bug.